
%global meadversion 4.2.7
%global namedversion 4.2.7.SP4-redhat-1
%global meadalpha .SP4_redhat_1
%global meadrel .1
%global serial 8

%bcond_with c3p0
%bcond_without mead

%global major 4
%global eap -eap6

%define maven_version 4.2.7.SP4-redhat-1

Name:           hibernate%{?major}%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: hibernate-project-4.2.7.SP4-redhat-1-scm-sources.zip
Source102: hibernate-testing-4.2.7.SP4-redhat-1-sources.jar
Source103: hibernate-testing-4.2.7.SP4-redhat-1.jar
Source104: hibernate-testing-4.2.7.SP4-redhat-1.pom
Source105: hibernate-project-4.2.7.SP4-redhat-1-javadoc.jar
Source106: hibernate-project-4.2.7.SP4-redhat-1.pom
Source107: hibernate-entitymanager-4.2.7.SP4-redhat-1-sources.jar
Source108: hibernate-entitymanager-4.2.7.SP4-redhat-1.jar
Source109: hibernate-entitymanager-4.2.7.SP4-redhat-1.pom
Source110: hibernate-ehcache-4.2.7.SP4-redhat-1.pom
Source111: hibernate-ehcache-4.2.7.SP4-redhat-1-sources.jar
Source112: hibernate-ehcache-4.2.7.SP4-redhat-1.jar
Source113: hibernate-proxool-4.2.7.SP4-redhat-1.pom
Source114: hibernate-proxool-4.2.7.SP4-redhat-1-sources.jar
Source115: hibernate-proxool-4.2.7.SP4-redhat-1.jar
Source116: hibernate-envers-4.2.7.SP4-redhat-1.pom
Source117: hibernate-envers-4.2.7.SP4-redhat-1.jar
Source118: hibernate-envers-4.2.7.SP4-redhat-1-sources.jar
Source119: hibernate-c3p0-4.2.7.SP4-redhat-1-sources.jar
Source120: hibernate-c3p0-4.2.7.SP4-redhat-1.jar
Source121: hibernate-c3p0-4.2.7.SP4-redhat-1.pom
Source122: hibernate-core-4.2.7.SP4-redhat-1.pom
Source123: hibernate-core-4.2.7.SP4-redhat-1.jar
Source124: hibernate-core-4.2.7.SP4-redhat-1-sources.jar
Source125: hibernate-infinispan-4.2.7.SP4-redhat-1-sources.jar
Source126: hibernate-infinispan-4.2.7.SP4-redhat-1.jar
Source127: hibernate-infinispan-4.2.7.SP4-redhat-1.pom
Source128: hibernate-infinispan-4.2.7.SP4-redhat-1-tests.jar
Source129: hibernate-infinispan-4.2.7.SP4-redhat-1-test-sources.jar
Source130: hibernate-release-4.2.7.SP4-redhat-1.zip
Source131: hibernate-release-4.2.7.SP4-redhat-1.pom
%endif

URL:            http://www.hibernate.org/
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-orm%{?eap}-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance object/relational
persistence and query service for Java. Hibernate lets you develop
persistent objects following common Java idiom - including
association, inheritance, polymorphism, composition and the Java
collections framework. Extremely  fine-grained, richly typed object
models are  possible. The Hibernate Query Language, designed as a
"minimal" object-oriented extension to SQL, provides an elegant
bridge between the object and  relational worlds. Hibernate is now
the most popular ORM solution for Java.

%package -n hibernate%{?major}-core%{?eap}
Summary:        Hibernate Core
Group:          Development/Java

Provides:       hibernate-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-core%{?eap}
Hibernate Core module.

%package -n hibernate%{?major}-c3p0%{?eap}
Summary:        Hibernate C3p0
Group:          Development/Java

Provides:       hibernate-c3p0%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-c3p0%{?eap}
Hibernate C3p0 module.

%package -n hibernate%{?major}-entitymanager%{?eap}
Summary:        Hibernate EntityManager
Group:          Development/Java

Provides:       hibernate-entitymanager%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-entitymanager%{?eap}
Hibernate EntityManager module.

%package -n hibernate%{?major}-envers%{?eap}
Summary:        Hibernate Envers
Group:          Development/Java

Provides:       hibernate-envers%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-entitymanager%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-envers%{?eap}
Hibernate Envers module.

%package -n hibernate%{?major}-infinispan%{?eap}
Summary:        Hibernate Infinispan
Group:          Development/Java

Provides:       hibernate-infinispan%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-infinispan%{?eap}
Hibernate Infinispan module.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%if %with c3p0
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n hibernate%{?major}-core%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-core.jar
%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-core-sources.jar

%if %with c3p0
%files -n hibernate%{?major}-c3p0%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-c3p0.jar
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-c3p0-sources.jar
%endif

%files -n hibernate%{?major}-entitymanager%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-entitymanager.jar
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-entitymanager-sources.jar

%files -n hibernate%{?major}-envers%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-envers.jar
%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-envers-sources.jar

%files -n hibernate%{?major}-infinispan%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-infinispan.jar
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-infinispan-sources.jar

%changelog
* Fri May 09 2014 David Stahl <dstahl@redhat.com> - 4.2.7-8.SP4_redhat_1.1
- Upgrade to 4.2.7.SP4-redhat-1

* Thu Apr 17 2014 David Stahl <dstahl@redhat.com> - 4.2.7-7.SP3_redhat_1.1
- Update to 4.2.7.SP3-redhat-1

* Thu Apr 17 2014 David Stahl <dstahl@redhat.com> - 4.2.12-1.Final_redhat_1.1
- Update to 4.2.7.SP3-redhat-1

* Fri Nov 15 2013 Dustin Kut Moy Cheung <dcheung@redhat.com> - 4.2.7-6.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Thu Nov 14 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-5.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Wed Nov 13 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-4.4.SP2_redhat_1%{nil}
- Wrap SP2 build

* Mon Nov 11 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-3.3.SP1_redhat_3%{nil}
- Rewrap hibernate4 built by pgier

* Thu Nov 07 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-2.2.SP1_redhat_2%{nil}
Wrap new hibernate4 build

* Tue Sep 03 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-3.7.SP1_redhat_1%{nil}
- update for 4.2.5.Final

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- change suffix macro name

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- fix package names
- add minimal dependencies between subpackages

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-1
- release
